// ScrutePDFsDlg.h : header file
//

#pragma once

#include <list>
#include <string>
#include "afxwin.h"
#include "afxcmn.h"

typedef struct _SProduitFile
{
  std::string m_strFileName;
  FILETIME    m_fileTime;
} _SProduitFile, * PSProduitFile;

// CScrutePDFsDlg dialog
class CScrutePDFsDlg : public CDialog
{
// Construction
public:
	CScrutePDFsDlg(CWnd* pParent = NULL);	// standard constructor

protected:
// Dialog Data
	enum { IDD = IDD_SCRUTEPDFS_DIALOG };
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnInitDialog();

	// Generated message map functions
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
  afx_msg void OnBnClickedButton1();
	DECLARE_MESSAGE_MAP()


// Implementation
protected:
  CListBox                  m_ctlList;
  CListBox                  m_ctlListPDFs;
  CListCtrl                 m_ctlSeq;

  UINT_PTR                  m_timerId;

	HICON m_hIcon;
  std::list < std::string > listRepertoires;
};
